package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;


public enum WeekDayEnum {
    星期一(1, "monday"),
    星期二(2, "tuesday"),
    星期三(3, "wednesday"),
    星期四(4, "thursday"),
    星期五(5, "friday"),
    星期六(6, "saturday"),
    星期日(7, "sunday");

    private int value;
    private String desc;

    private WeekDayEnum(int value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public int getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static WeekDayEnum getByValue(int value) {
        WeekDayEnum[] var1 = values();
        int var2 = var1.length;

        for (int var3 = 0; var3 < var2; ++var3) {
            WeekDayEnum examStatus = var1[var3];
            if (examStatus.getValue() == value) {
                return examStatus;
            }
        }

        return null;
    }

    public static Map<String, String> getEnumMap(int... eItem) {
        Map<String, String> resultMap = new LinkedHashMap();
        WeekDayEnum[] var2 = values();
        int var3 = var2.length;

        for (int var4 = 0; var4 < var3; ++var4) {
            WeekDayEnum item = var2[var4];

            try {
                boolean hasE = false;
                int[] var7 = eItem;
                int var8 = eItem.length;

                for (int var9 = 0; var9 < var8; ++var9) {
                    int e = var7[var9];
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }

                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception var11) {
            }
        }

        return resultMap;
    }
}